## ppx-optcomp 113.33.03

=== Makefile ===
# Generic Makefile for oasis project

SETUP := setup.exe
NAME := ppx_optcomp
PREFIX = $(shell grep ^prefix= setup.data | cut -d\" -f 2)

# Default rule
default: build

setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	for f in setup.*; do [ $$f = $@ -o $$f = setup.ml ] || rm -f $$f; done

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)
	$(MAKE) $(NAME).install

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)
	$(MAKE) $(NAME).install

$(NAME).install: install.ml setup.log setup.data
	ocaml -I "$(OCAML_TOPLEVEL_PATH)" install.ml

install: $(NAME).install
	opam-installer -i --prefix $(PREFIX) $(NAME).install

uninstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install

reinstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install &> /dev/null || true
	opam-installer -i --prefix $(PREFIX) $(NAME).install

bin.tar.gz: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	tar czf bin.tar.gz -C _install .
	rm -rf _install

bin.lzo: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	cd _install && lzop -1 -P -o ../bin.lzo `find . -type f`
	rm -rf _install

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

## ppx-optcomp 0.13.0

=== debian/changelog ===
ppx-optcomp (1:0.13.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:34:35 +0000

ppx-optcomp (1:0.13.0-1) unstable; urgency=medium

  * New upstream release
    - bump epoch to cope with new upstream versioning scheme
  * Update Vcs-*
  * Update debian/watch
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 15 Jan 2020 15:36:31 +0100

ppx-optcomp (113.33.03-1) unstable; urgency=low

  * Initial release (Closes: #832979)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Jul 2016 17:34:04 +0200

=== debian/control ===
Source: ppx-optcomp
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-findlib,
 ocaml-dune,
 libbase-ocaml-dev (>= 0.13),
 libstdio-ocaml-dev (>= 0.13),
 libppxlib-ocaml-dev (>= 0.9),
 dh-ocaml
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-optcomp
Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-optcomp.git
Homepage: https://github.com/janestreet/ppx_optcomp

Package: libppx-optcomp-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: optional compilation for OCaml (dev files)
 ppx_optcomp stands for Optional Compilation. It is a tool used to
 handle optional compilations of pieces of code depending of the word
 size, the version of the compiler, ...
 .
 This package contains development files.

Package: libppx-optcomp-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: optional compilation for OCaml (runtime files)
 ppx_optcomp stands for Optional Compilation. It is a tool used to
 handle optional compilations of pieces of code depending of the word
 size, the version of the compiler, ...
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ppx_optcomp

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p ppx_optcomp
endif

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/ppx_optcomp/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

## ppx-optcomp 0.14.0

=== debian/changelog ===
ppx-optcomp (1:0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jul 2020 11:06:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: ppx-optcomp
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-findlib,
  ocaml-dune,
- libbase-ocaml-dev (>= 0.13),
- libstdio-ocaml-dev (>= 0.13),
- libppxlib-ocaml-dev (>= 0.9),
+ libbase-ocaml-dev (>= 0.14),
+ libstdio-ocaml-dev (>= 0.14),
+ libppxlib-ocaml-dev (>= 0.11.0),
  dh-ocaml
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-optcomp
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-optcomp.git

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/ppx_optcomp/tags /.*/archive/v([\d\.\-rc]+)\.tar\.gz

## ppx-optcomp 0.15.0

=== debian/changelog ===
ppx-optcomp (1:0.15.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 17:36:11 +0100

ppx-optcomp (1:0.15.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jan 2022 06:12:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,4 @@
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/ppx_optcomp/LICENSE.md
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## ppx-optcomp 0.16.0

=== debian/changelog ===
ppx-optcomp (1:0.16.0-2) unstable; urgency=medium

  * Fix compilation with a recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 14:23:57 +0200

ppx-optcomp (1:0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 11:57:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-findlib,
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
  libstdio-ocaml-dev (>= 0.14),
- libppxlib-ocaml-dev (>= 0.11.0),
+ libppxlib-ocaml-dev (>= 0.23.0),
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-optcomp
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-optcomp.git

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 endif
 
 override_dh_auto_install:
-	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/ppx_optcomp/LICENSE.md
 
 override_dh_dwz:

## ppx-optcomp 0.17.0

=== debian/changelog ===
ppx-optcomp (1:0.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jun 2024 23:05:08 +0200

ppx-optcomp (1:0.16.0-3) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 07:52:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  libbase-ocaml-dev (>= 0.14),
  libstdio-ocaml-dev (>= 0.14),
  libppxlib-ocaml-dev (>= 0.23.0),
- dh-ocaml
-Standards-Version: 4.6.2
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-optcomp
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-optcomp.git

## ppx-optcomp 0.17.1

=== debian/changelog ===
ppx-optcomp (1:0.17.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Sep 2025 00:47:21 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
  libstdio-ocaml-dev (>= 0.14),
- libppxlib-ocaml-dev (>= 0.23.0),
+ libppxlib-ocaml-dev (>= 0.36.0),
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-optcomp
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-optcomp.git

=== debian/watch ===
version=4
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/ppx_optcomp/tags .*/v?([\d\.\-rc]+)\.tar\.gz

## ppx-optcomp 113.33.03

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
- ocaml,
+ debhelper (>= 9),
+ ocaml-nox,
  ocaml-findlib,
- ocaml-dune,
- libbase-ocaml-dev (>= 0.14),
- libstdio-ocaml-dev (>= 0.14),
- libppxlib-ocaml-dev (>= 0.36.0),
- dh-ocaml (>= 1.2)
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-optcomp
-Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-optcomp.git
+ opam,
+ libjs-build-tools-ocaml-dev,
+ libppx-tools-ocaml-dev (>= 0.99.3),
+ libppx-core-ocaml-dev,
+ libfindlib-ocaml-dev,
+ dh-ocaml
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-optcomp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-optcomp.git
 Homepage: https://github.com/janestreet/ppx_optcomp
 
 Package: libppx-optcomp-ocaml-dev

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_install:
	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) ppx_optcomp.install

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/ppx_optcomp/tags /.*/archive/([\d\.\-rc]+)\.tar\.gz
